Bug 56946 - Uses rsh by default
Uses rsh by default
Product: Red Hat Raw Hide
Classification: Retired
Component: lam (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Brian Brock
: Security
Depends On:
  Show dependency treegraph
Reported: 2001-11-30 17:08 EST by Enrico Scholz
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-11-30 17:09:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2001-11-30 17:08:58 EST
lam is configured to use rsh by default. This is an obsolete and highly
insecure protocol and can be replaced by ssh entirely. lam can be
configured to use ssh by calling:

| %configure --with-rpi=usysv --with-rsh='/usr/bin/ssh -x -a

The '-x' option is suggested by the INSTALL file; '-a' disables
agent-forwarding and will enhance security.
Comment 1 Trond Eivind Glomsrxd 2001-12-04 16:33:11 EST
Done in lam-6.5.6-2.

Note You need to log in before you can comment on or make changes to this bug.